| Kea 3.0.2-git

dhcp4_lexer.cc File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <cctype>`
`#include <cerrno>`
`#include <climits>`
`#include <cstdint>`
`#include <cstdlib>`
`#include <string>`
`#include <dhcp4/parser_context.h>`
`#include <asiolink/io_address.h>`
`#include <boost/lexical_cast.hpp>`
`#include <exceptions/exceptions.h>`
`#include <unistd.h>`
Include dependency graph for dhcp4_lexer.cc:

Go to the source code of this file.

## Classes
struct | yy_buffer_state
struct | yy_trans_info

## Macros
#define | BEGIN (yy_start) = 1 + 2 *
#define | COMMENT 1
#define | DIR_ENTER 2
#define | DIR_EXIT 4
#define | DIR_INCLUDE 3
#define | ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | FLEX_DEBUG
#define | FLEX_SCANNER
#define | FLEXINT_H
#define | INITIAL 0
#define | INT16_MAX (32767)
#define | INT16_MIN (-32767-1)
#define | INT32_MAX (2147483647)
#define | INT32_MIN (-2147483647-1)
#define | INT8_MAX (127)
#define | INT8_MIN (-128)
#define | parser4__create_buffer_ALREADY_DEFINED
#define | parser4__delete_buffer_ALREADY_DEFINED
#define | parser4__flex_debug_ALREADY_DEFINED
#define | parser4__flush_buffer_ALREADY_DEFINED
#define | parser4__init_buffer_ALREADY_DEFINED
#define | parser4__load_buffer_state_ALREADY_DEFINED
#define | parser4__scan_buffer_ALREADY_DEFINED
#define | parser4__scan_bytes_ALREADY_DEFINED
#define | parser4__scan_string_ALREADY_DEFINED
#define | parser4__switch_to_buffer_ALREADY_DEFINED
#define | parser4_alloc_ALREADY_DEFINED
#define | parser4_ensure_buffer_stack_ALREADY_DEFINED
#define | parser4_free_ALREADY_DEFINED
#define | parser4_in_ALREADY_DEFINED
#define | parser4_leng_ALREADY_DEFINED
#define | parser4_lex_ALREADY_DEFINED
#define | parser4_lineno_ALREADY_DEFINED
#define | parser4_out_ALREADY_DEFINED
#define | parser4_pop_buffer_state_ALREADY_DEFINED
#define | parser4_push_buffer_state_ALREADY_DEFINED
#define | parser4_realloc_ALREADY_DEFINED
#define | parser4_restart_ALREADY_DEFINED
#define | parser4_text_ALREADY_DEFINED
#define | parser4_wrap()
#define | parser4_wrap_ALREADY_DEFINED
#define | REJECT reject_used_but_not_detected
#define | SIZE_MAX (~(size_t)0)
#define | UINT16_MAX (65535U)
#define | UINT32_MAX (4294967295U)
#define | UINT8_MAX (255U)
#define | unput(c)
#define | YY_AT_BOL()
#define | YY_BREAK /*LINTED*/break;
#define | YY_BUF_SIZE 16384
#define | YY_BUFFER_EOF_PENDING 2
#define | YY_BUFFER_NEW 0
#define | YY_BUFFER_NORMAL 1
#define | yy_create_buffer parser4__create_buffer
#define | YY_CURRENT_BUFFER
#define | YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]
#define | YY_DECL int yylex (void)
#define | YY_DECL_IS_OURS 1
#define | yy_delete_buffer parser4__delete_buffer
#define | YY_DO_BEFORE_ACTION
#define | YY_END_OF_BUFFER 243
#define | YY_END_OF_BUFFER_CHAR 0
#define | YY_EXIT_FAILURE 2
#define | YY_EXTRA_TYPE void *
#define | YY_FATAL_ERROR(msg)
#define | yy_flex_debug parser4__flex_debug
#define | YY_FLEX_MAJOR_VERSION 2
#define | YY_FLEX_MINOR_VERSION 6
#define | YY_FLEX_SUBMINOR_VERSION 4
#define | YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )
#define | yy_flush_buffer parser4__flush_buffer
#define | yy_init_buffer parser4__init_buffer
#define | YY_INPUT(buf, result, max_size)
#define | YY_INT_ALIGNED short int
#define | YY_LESS_LINENO(n)
#define | YY_LINENO_REWIND_TO(ptr)
#define | yy_load_buffer_state
#define | YY_MORE_ADJ 0
#define | yy_new_buffer yy_create_buffer
#define | YY_NEW_FILE yyrestart( yyin )
#define | YY_NO_INPUT 1
#define | YY_NULL 0
#define | YY_NUM_RULES 242
#define | YY_READ_BUF_SIZE 8192
#define | YY_RESTORE_YY_MORE_OFFSET
#define | YY_RULE_SETUP YY_USER_ACTION
#define | YY_SC_TO_UI(c)
#define | yy_scan_buffer parser4__scan_buffer
#define | yy_scan_bytes parser4__scan_bytes
#define | yy_scan_string parser4__scan_string
#define | yy_set_bol(at_bol)
#define | yy_set_interactive(is_interactive)
#define | YY_SKIP_YYWRAP
#define | YY_START (((yy_start) - 1) / 2)
#define | YY_START_STACK_INCR 25
#define | YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))
#define | YY_STATE_EOF(state)
#define | YY_STRUCT_YY_BUFFER_STATE
#define | yy_switch_to_buffer parser4__switch_to_buffer
#define | YY_TYPEDEF_YY_BUFFER_STATE
#define | YY_TYPEDEF_YY_SIZE_T
#define | YY_USER_ACTION driver.loc_.columns(yyleng);
#define | yyalloc parser4_alloc
#define | yyconst const
#define | yyensure_buffer_stack
#define | yyfree parser4_free
#define | yyget_debug
#define | yyget_extra
#define | yyget_in(void)
| Get the input stream.
#define | yyget_leng(void)
| Get the length of the current token.
#define | yyget_lineno(void)
| Get the current line number.
#define | yyget_out(void)
| Get the output stream.
#define | yyget_text(void)
| Get the current token.
#define | yyin parser4_in
#define | yyleng parser4_leng
#define | yyless(n)
#define | yylex
#define | yylex_destroy
#define | yylex_init parser4_lex_init
#define | yylex_init_extra parser4_lex_init_extra
#define | yylineno parser4_lineno
#define | yymore()
#define | yynoreturn
#define | yyout parser4_out
#define | yypop_buffer_state(void)
| Removes and deletes the top of the stack, if present.
#define | yypush_buffer_state parser4_push_buffer_state
#define | yyrealloc parser4_realloc
#define | yyrestart parser4_restart
#define | yyset_debug parser4_set_debug
#define | yyset_extra parser4_set_extra
#define | yyset_in parser4_set_in
#define | yyset_lineno parser4_set_lineno
#define | yyset_out parser4_set_out
#define | YYSTATE YY_START
#define | YYTABLES_NAME "yytables"
#define | yyterminate()
#define | yytext parser4_text
#define | yytext_ptr yytext
#define | yywrap()
#define | yywrap parser4_wrap

## Typedefs
typedef struct yy_buffer_state * | YY_BUFFER_STATE

## Functions
| if (!(yy_init))
| if (start_token_flag)
| while (1)
YY_BUFFER_STATE | yy_create_buffer (FILE *file, int size)
| Allocate and initialize an input buffer state.
void | yy_delete_buffer (YY_BUFFER_STATE b)
| Destroy the buffer.
void | yy_flush_buffer (YY_BUFFER_STATE b)
| Discard all buffered characters.
YY_BUFFER_STATE | yy_scan_buffer (char *base, yy_size_t size)
| Setup the input buffer state to scan directly from a user-specified character buffer.
YY_BUFFER_STATE | yy_scan_bytes (const char *yybytes, int _yybytes_len)
| Setup the input buffer state to scan the given bytes.
YY_BUFFER_STATE | yy_scan_string (const char *yystr)
| Setup the input buffer state to scan a string.
void | yy_switch_to_buffer (YY_BUFFER_STATE new_buffer)
| Switch to a different input buffer.
void * | yyalloc (yy_size_t)
void | yyfree (void *)
void | yypush_buffer_state (YY_BUFFER_STATE new_buffer)
| Pushes the new state onto the stack.
void * | yyrealloc (void *, yy_size_t)
void | yyrestart (FILE *input_file)
| Immediately switch to a different input stream.
void | yyset_debug (int debug_flag)
void | yyset_extra (YY_EXTRA_TYPE user_defined)
void | yyset_in (FILE *_in_str)
| Set the input stream.
void | yyset_lineno (int _line_number)
| Set the current line number.
void | yyset_out (FILE *_out_str)

## Variables
int | yy_act
char * | yy_bp
char * | yy_cp
| YY_DECL
| The main scanner function which does all the work.
int | yy_flex_debug = 1
FILE * | yyin = NULL
int | yyleng
int | yylineno = 1
FILE * | yyout = NULL
char * | yytext

## Macro Definition Documentation

## ◆ BEGIN

#define BEGIN (yy_start) = 1 + 2 *

Definition at line 414 of file dhcp4_lexer.cc.

Referenced by while().

## ◆ COMMENT

#define COMMENT 1

Definition at line 2311 of file dhcp4_lexer.cc.

## ◆ DIR_ENTER

#define DIR_ENTER 2

Definition at line 2312 of file dhcp4_lexer.cc.

## ◆ DIR_EXIT

#define DIR_EXIT 4

Definition at line 2314 of file dhcp4_lexer.cc.

## ◆ DIR_INCLUDE

#define DIR_INCLUDE 3

Definition at line 2313 of file dhcp4_lexer.cc.

## ◆ ECHO

#define ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)

Definition at line 2436 of file dhcp4_lexer.cc.

## ◆ EOB_ACT_CONTINUE_SCAN

#define EOB_ACT_CONTINUE_SCAN 0

Definition at line 464 of file dhcp4_lexer.cc.

## ◆ EOB_ACT_END_OF_FILE

#define EOB_ACT_END_OF_FILE 1

Definition at line 465 of file dhcp4_lexer.cc.

## ◆ EOB_ACT_LAST_MATCH

#define EOB_ACT_LAST_MATCH 2

Definition at line 466 of file dhcp4_lexer.cc.

## ◆ FLEX_DEBUG

#define FLEX_DEBUG

Definition at line 655 of file dhcp4_lexer.cc.

## ◆ FLEX_SCANNER

#define FLEX_SCANNER

Definition at line 41 of file dhcp4_lexer.cc.

## ◆ FLEXINT_H

#define FLEXINT_H

Definition at line 311 of file dhcp4_lexer.cc.

## ◆ INITIAL

#define INITIAL 0

Definition at line 2310 of file dhcp4_lexer.cc.

## ◆ INT16_MAX

#define INT16_MAX (32767)

Definition at line 353 of file dhcp4_lexer.cc.

## ◆ INT16_MIN

#define INT16_MIN (-32767-1)

Definition at line 344 of file dhcp4_lexer.cc.

## ◆ INT32_MAX

#define INT32_MAX (2147483647)

Definition at line 356 of file dhcp4_lexer.cc.

## ◆ INT32_MIN

#define INT32_MIN (-2147483647-1)

Definition at line 347 of file dhcp4_lexer.cc.

## ◆ INT8_MAX

#define INT8_MAX (127)

Definition at line 350 of file dhcp4_lexer.cc.

## ◆ INT8_MIN

#define INT8_MIN (-128)

Definition at line 341 of file dhcp4_lexer.cc.

## ◆ parser4__create_buffer_ALREADY_DEFINED

#define parser4__create_buffer_ALREADY_DEFINED

Definition at line 54 of file dhcp4_lexer.cc.

## ◆ parser4__delete_buffer_ALREADY_DEFINED

#define parser4__delete_buffer_ALREADY_DEFINED

Definition at line 60 of file dhcp4_lexer.cc.

## ◆ parser4__flex_debug_ALREADY_DEFINED

#define parser4__flex_debug_ALREADY_DEFINED

Definition at line 280 of file dhcp4_lexer.cc.

## ◆ parser4__flush_buffer_ALREADY_DEFINED

#define parser4__flush_buffer_ALREADY_DEFINED

Definition at line 90 of file dhcp4_lexer.cc.

## ◆ parser4__init_buffer_ALREADY_DEFINED

#define parser4__init_buffer_ALREADY_DEFINED

Definition at line 84 of file dhcp4_lexer.cc.

## ◆ parser4__load_buffer_state_ALREADY_DEFINED

#define parser4__load_buffer_state_ALREADY_DEFINED

Definition at line 96 of file dhcp4_lexer.cc.

## ◆ parser4__scan_buffer_ALREADY_DEFINED

#define parser4__scan_buffer_ALREADY_DEFINED

Definition at line 66 of file dhcp4_lexer.cc.

## ◆ parser4__scan_bytes_ALREADY_DEFINED

#define parser4__scan_bytes_ALREADY_DEFINED

Definition at line 78 of file dhcp4_lexer.cc.

## ◆ parser4__scan_string_ALREADY_DEFINED

#define parser4__scan_string_ALREADY_DEFINED

Definition at line 72 of file dhcp4_lexer.cc.

## ◆ parser4__switch_to_buffer_ALREADY_DEFINED

#define parser4__switch_to_buffer_ALREADY_DEFINED

Definition at line 102 of file dhcp4_lexer.cc.

## ◆ parser4_alloc_ALREADY_DEFINED

#define parser4_alloc_ALREADY_DEFINED

Definition at line 236 of file dhcp4_lexer.cc.

## ◆ parser4_ensure_buffer_stack_ALREADY_DEFINED

#define parser4_ensure_buffer_stack_ALREADY_DEFINED

Definition at line 120 of file dhcp4_lexer.cc.

## ◆ parser4_free_ALREADY_DEFINED

#define parser4_free_ALREADY_DEFINED

Definition at line 248 of file dhcp4_lexer.cc.

## ◆ parser4_in_ALREADY_DEFINED

#define parser4_in_ALREADY_DEFINED

Definition at line 268 of file dhcp4_lexer.cc.

## ◆ parser4_leng_ALREADY_DEFINED

#define parser4_leng_ALREADY_DEFINED

Definition at line 262 of file dhcp4_lexer.cc.

## ◆ parser4_lex_ALREADY_DEFINED

#define parser4_lex_ALREADY_DEFINED

Definition at line 126 of file dhcp4_lexer.cc.

## ◆ parser4_lineno_ALREADY_DEFINED

#define parser4_lineno_ALREADY_DEFINED

Definition at line 286 of file dhcp4_lexer.cc.

## ◆ parser4_out_ALREADY_DEFINED

#define parser4_out_ALREADY_DEFINED

Definition at line 274 of file dhcp4_lexer.cc.

## ◆ parser4_pop_buffer_state_ALREADY_DEFINED

#define parser4_pop_buffer_state_ALREADY_DEFINED

Definition at line 114 of file dhcp4_lexer.cc.

## ◆ parser4_push_buffer_state_ALREADY_DEFINED

#define parser4_push_buffer_state_ALREADY_DEFINED

Definition at line 108 of file dhcp4_lexer.cc.

## ◆ parser4_realloc_ALREADY_DEFINED

#define parser4_realloc_ALREADY_DEFINED

Definition at line 242 of file dhcp4_lexer.cc.

## ◆ parser4_restart_ALREADY_DEFINED

#define parser4_restart_ALREADY_DEFINED

Definition at line 132 of file dhcp4_lexer.cc.

## ◆ parser4_text_ALREADY_DEFINED

#define parser4_text_ALREADY_DEFINED

Definition at line 256 of file dhcp4_lexer.cc.

## ◆ parser4_wrap

#define parser4_wrap | ( |  | ) |

Value:
(/*CONSTCOND*/1)

Definition at line 652 of file dhcp4_lexer.cc.

## ◆ parser4_wrap_ALREADY_DEFINED

#define parser4_wrap_ALREADY_DEFINED

Definition at line 228 of file dhcp4_lexer.cc.

## ◆ REJECT

#define REJECT reject_used_but_not_detected

Definition at line 2232 of file dhcp4_lexer.cc.

## ◆ SIZE_MAX

#define SIZE_MAX (~(size_t)0)

Definition at line 369 of file dhcp4_lexer.cc.

## ◆ UINT16_MAX

#define UINT16_MAX (65535U)

Definition at line 362 of file dhcp4_lexer.cc.

## ◆ UINT32_MAX

#define UINT32_MAX (4294967295U)

Definition at line 365 of file dhcp4_lexer.cc.

## ◆ UINT8_MAX

#define UINT8_MAX (255U)

Definition at line 359 of file dhcp4_lexer.cc.

## ◆ unput

#define unput | ( |  | c | ) |

Value:
yyunput( c, (yytext_ptr) )
yytext_ptr
#define yytext_ptr
Definition agent_lexer.cc:669

Definition at line 484 of file dhcp4_lexer.cc.

## ◆ YY_AT_BOL

#define YY_AT_BOL | ( |  | ) |

Value:
(YY_CURRENT_BUFFER_LVALUE->yy_at_bol)
YY_CURRENT_BUFFER_LVALUE
#define YY_CURRENT_BUFFER_LVALUE
Definition agent_lexer.cc:581

Definition at line 647 of file dhcp4_lexer.cc.

## ◆ YY_BREAK

#define YY_BREAK /*LINTED*/break;

Definition at line 2538 of file dhcp4_lexer.cc.

## ◆ YY_BUF_SIZE

#define YY_BUF_SIZE 16384

Definition at line 436 of file dhcp4_lexer.cc.

## ◆ YY_BUFFER_EOF_PENDING

#define YY_BUFFER_EOF_PENDING 2

Definition at line 551 of file dhcp4_lexer.cc.

## ◆ YY_BUFFER_NEW

#define YY_BUFFER_NEW 0

Definition at line 539 of file dhcp4_lexer.cc.

## ◆ YY_BUFFER_NORMAL

#define YY_BUFFER_NORMAL 1

Definition at line 540 of file dhcp4_lexer.cc.

## ◆ yy_create_buffer

#define yy_create_buffer parser4__create_buffer

Definition at line 12 of file dhcp4_lexer.cc.

Referenced by if(), and yyrestart().

## ◆ YY_CURRENT_BUFFER

#define YY_CURRENT_BUFFER

Value:
( (yy_buffer_stack) \
? (yy_buffer_stack)[(yy_buffer_stack_top)] \
: NULL)

Definition at line 575 of file dhcp4_lexer.cc.

## ◆ YY_CURRENT_BUFFER_LVALUE

#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

Definition at line 581 of file dhcp4_lexer.cc.

## ◆ YY_DECL

#define YY_DECL int yylex (void)

Definition at line 2523 of file dhcp4_lexer.cc.

## ◆ YY_DECL_IS_OURS

#define YY_DECL_IS_OURS 1

Definition at line 2518 of file dhcp4_lexer.cc.

## ◆ yy_delete_buffer

#define yy_delete_buffer parser4__delete_buffer

Definition at line 13 of file dhcp4_lexer.cc.

## ◆ YY_DO_BEFORE_ACTION

#define YY_DO_BEFORE_ACTION

Value:
(yytext_ptr) = yy_bp; \
/* %% [2.0] code to fiddle yytext and yyleng for yymore() goes here \ */\
yyleng = (int) (yy_cp - yy_bp); \
(yy_hold_char) = *yy_cp; \
*yy_cp = '\0'; \
/* %% [3.0] code to copy yytext_ptr to yytext[] goes here, if %array \ */\
(yy_c_buf_p) = yy_cp;
yyleng
#define yyleng
Definition agent_lexer.cc:26
yy_cp
char * yy_cp
Definition agent_lexer.cc:1897
yy_bp
char * yy_bp
Definition agent_lexer.cc:1897

Definition at line 685 of file dhcp4_lexer.cc.

## ◆ YY_END_OF_BUFFER

#define YY_END_OF_BUFFER 243

Definition at line 695 of file dhcp4_lexer.cc.

## ◆ YY_END_OF_BUFFER_CHAR

#define YY_END_OF_BUFFER_CHAR 0

Definition at line 425 of file dhcp4_lexer.cc.

## ◆ YY_EXIT_FAILURE

#define YY_EXIT_FAILURE 2

Definition at line 6760 of file dhcp4_lexer.cc.

## ◆ YY_EXTRA_TYPE

#define YY_EXTRA_TYPE void *

Definition at line 2329 of file dhcp4_lexer.cc.

## ◆ YY_FATAL_ERROR

#define YY_FATAL_ERROR | ( |  | msg | ) |

Value:
isc::dhcp::Parser4Context::fatal(msg)
isc::dhcp::Parser4Context::fatal
static void fatal(const std::string &what)
Fatal error handler.
Definition dhcp4/parser_context.cc:87

Definition at line 2280 of file dhcp4_lexer.cc.

Referenced by while(), yy_create_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## ◆ yy_flex_debug

#define yy_flex_debug parser4__flex_debug

Definition at line 24 of file dhcp4_lexer.cc.

## ◆ YY_FLEX_MAJOR_VERSION

#define YY_FLEX_MAJOR_VERSION 2

Definition at line 42 of file dhcp4_lexer.cc.

## ◆ YY_FLEX_MINOR_VERSION

#define YY_FLEX_MINOR_VERSION 6

Definition at line 43 of file dhcp4_lexer.cc.

## ◆ YY_FLEX_SUBMINOR_VERSION

#define YY_FLEX_SUBMINOR_VERSION 4

Definition at line 44 of file dhcp4_lexer.cc.

## ◆ YY_FLUSH_BUFFER

#define YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )

Definition at line 616 of file dhcp4_lexer.cc.

## ◆ yy_flush_buffer

#define yy_flush_buffer parser4__flush_buffer

Definition at line 18 of file dhcp4_lexer.cc.

## ◆ yy_init_buffer

#define yy_init_buffer parser4__init_buffer

Definition at line 17 of file dhcp4_lexer.cc.

Referenced by yy_create_buffer(), and yyrestart().

## ◆ YY_INPUT

#define YY_INPUT | ( |  | buf,
|  |  | result,
|  |  | max_size )

Definition at line 2446 of file dhcp4_lexer.cc.

## ◆ YY_INT_ALIGNED

#define YY_INT_ALIGNED short int

Definition at line 5 of file dhcp4_lexer.cc.

## ◆ YY_LESS_LINENO

#define YY_LESS_LINENO | ( |  | n | ) |

Definition at line 468 of file dhcp4_lexer.cc.

## ◆ YY_LINENO_REWIND_TO

#define YY_LINENO_REWIND_TO | ( |  | ptr | ) |

Definition at line 469 of file dhcp4_lexer.cc.

## ◆ yy_load_buffer_state

#define yy_load_buffer_state | ( |  | void | ) |

Value:
parser4__load_buffer_state

Definition at line 6404 of file dhcp4_lexer.cc.

Referenced by if(), yy_flush_buffer(), yy_switch_to_buffer(), yypush_buffer_state(), and yyrestart().

## ◆ YY_MORE_ADJ

#define YY_MORE_ADJ 0

Definition at line 2234 of file dhcp4_lexer.cc.

## ◆ yy_new_buffer

#define yy_new_buffer yy_create_buffer

Definition at line 628 of file dhcp4_lexer.cc.

## ◆ YY_NEW_FILE

#define YY_NEW_FILE yyrestart( yyin )

Definition at line 424 of file dhcp4_lexer.cc.

## ◆ YY_NO_INPUT

#define YY_NO_INPUT 1

Definition at line 2296 of file dhcp4_lexer.cc.

## ◆ YY_NULL

#define YY_NULL 0

Definition at line 393 of file dhcp4_lexer.cc.

## ◆ YY_NUM_RULES

#define YY_NUM_RULES 242

Definition at line 694 of file dhcp4_lexer.cc.

## ◆ YY_READ_BUF_SIZE

#define YY_READ_BUF_SIZE 8192

Definition at line 2426 of file dhcp4_lexer.cc.

## ◆ YY_RESTORE_YY_MORE_OFFSET

#define YY_RESTORE_YY_MORE_OFFSET

Definition at line 2235 of file dhcp4_lexer.cc.

## ◆ YY_RULE_SETUP

#define YY_RULE_SETUP YY_USER_ACTION

Definition at line 2542 of file dhcp4_lexer.cc.

## ◆ YY_SC_TO_UI

#define YY_SC_TO_UI | ( |  | c | ) |

Value:
((YY_CHAR) (c))
YY_CHAR
flex_uint8_t YY_CHAR
Definition agent_lexer.cc:656

Definition at line 400 of file dhcp4_lexer.cc.

Referenced by while().

## ◆ yy_scan_buffer

#define yy_scan_buffer parser4__scan_buffer

Definition at line 14 of file dhcp4_lexer.cc.

Referenced by yy_scan_bytes().

## ◆ yy_scan_bytes

#define yy_scan_bytes parser4__scan_bytes

Definition at line 16 of file dhcp4_lexer.cc.

Referenced by yy_scan_string().

## ◆ yy_scan_string

#define yy_scan_string parser4__scan_string

Definition at line 15 of file dhcp4_lexer.cc.

## ◆ yy_set_bol

#define yy_set_bol | ( |  | at_bol | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){\
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer( yyin, YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
}
yyin
#define yyin
Definition agent_lexer.cc:25
YY_CURRENT_BUFFER
#define YY_CURRENT_BUFFER
Definition agent_lexer.cc:575
YY_BUF_SIZE
#define YY_BUF_SIZE
Definition agent_lexer.cc:436

Definition at line 638 of file dhcp4_lexer.cc.

## ◆ yy_set_interactive

#define yy_set_interactive | ( |  | is_interactive | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){ \
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer( yyin, YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
}

Definition at line 629 of file dhcp4_lexer.cc.

## ◆ YY_SKIP_YYWRAP

#define YY_SKIP_YYWRAP

Definition at line 653 of file dhcp4_lexer.cc.

## ◆ YY_START

#define YY_START (((yy_start) - 1) / 2)

Definition at line 419 of file dhcp4_lexer.cc.

## ◆ YY_START_STACK_INCR

#define YY_START_STACK_INCR 25

Definition at line 2491 of file dhcp4_lexer.cc.

## ◆ YY_STATE_BUF_SIZE

#define YY_STATE_BUF_SIZE ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

Definition at line 442 of file dhcp4_lexer.cc.

## ◆ YY_STATE_EOF

#define YY_STATE_EOF | ( |  | state | ) |

Value:
(YY_END_OF_BUFFER + state + 1)
YY_END_OF_BUFFER
#define YY_END_OF_BUFFER
Definition agent_lexer.cc:695

Definition at line 422 of file dhcp4_lexer.cc.

Referenced by while().

## ◆ YY_STRUCT_YY_BUFFER_STATE

#define YY_STRUCT_YY_BUFFER_STATE

Definition at line 487 of file dhcp4_lexer.cc.

## ◆ yy_switch_to_buffer

#define yy_switch_to_buffer parser4__switch_to_buffer

Definition at line 20 of file dhcp4_lexer.cc.

Referenced by yy_scan_buffer().

## ◆ YY_TYPEDEF_YY_BUFFER_STATE

#define YY_TYPEDEF_YY_BUFFER_STATE

Definition at line 445 of file dhcp4_lexer.cc.

## ◆ YY_TYPEDEF_YY_SIZE_T

#define YY_TYPEDEF_YY_SIZE_T

Definition at line 450 of file dhcp4_lexer.cc.

## ◆ YY_USER_ACTION

#define YY_USER_ACTION driver.loc_.columns(yyleng);

Definition at line 2306 of file dhcp4_lexer.cc.

## ◆ yyalloc

#define yyalloc parser4_alloc

Definition at line 33 of file dhcp4_lexer.cc.

Referenced by yy_create_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## ◆ yyconst

#define yyconst const

Definition at line 383 of file dhcp4_lexer.cc.

## ◆ yyensure_buffer_stack

#define yyensure_buffer_stack | ( |  | void | ) |

Value:
parser4_ensure_buffer_stack

Definition at line 6620 of file dhcp4_lexer.cc.

Referenced by if(), yy_switch_to_buffer(), yypush_buffer_state(), and yyrestart().

## ◆ yyfree

#define yyfree parser4_free

Definition at line 35 of file dhcp4_lexer.cc.

Referenced by yy_delete_buffer().

## ◆ yyget_debug

#define yyget_debug | ( |  | void | ) |

Value:
parser4_get_debug

Definition at line 6867 of file dhcp4_lexer.cc.

## ◆ yyget_extra

#define yyget_extra | ( |  | void | ) |

Value:
parser4_get_extra

Definition at line 170 of file dhcp4_lexer.cc.

## ◆ yyget_in

#define yyget_in | ( |  | void | ) |

Value:
parser4_get_in

Get the input stream.

Definition at line 6808 of file dhcp4_lexer.cc.

## ◆ yyget_leng

#define yyget_leng | ( |  | void | ) |

Value:
parser4_get_leng

Get the length of the current token.

Definition at line 6824 of file dhcp4_lexer.cc.

## ◆ yyget_lineno

#define yyget_lineno | ( |  | void | ) |

Value:
parser4_get_lineno

Get the current line number.

Definition at line 6799 of file dhcp4_lexer.cc.

## ◆ yyget_out

#define yyget_out | ( |  | void | ) |

Value:
parser4_get_out

Get the output stream.

Definition at line 6816 of file dhcp4_lexer.cc.

## ◆ yyget_text

#define yyget_text | ( |  | void | ) |

Value:
parser4_get_text

Get the current token.

Definition at line 6833 of file dhcp4_lexer.cc.

## ◆ yyin

#define yyin parser4_in

Definition at line 25 of file dhcp4_lexer.cc.

## ◆ yyleng

#define yyleng parser4_leng

Definition at line 26 of file dhcp4_lexer.cc.

## ◆ yyless [1/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
yytext[yyleng] = (yy_hold_char); \
(yy_c_buf_p) = yytext + yyless_macro_arg; \
(yy_hold_char) = *(yy_c_buf_p); \
*(yy_c_buf_p) = '\0'; \
yyleng = yyless_macro_arg; \
} \
while ( 0 )
yytext
#define yytext
Definition agent_lexer.cc:31

Definition at line 472 of file dhcp4_lexer.cc.

## ◆ yyless [2/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
*yy_cp = (yy_hold_char); \
YY_RESTORE_YY_MORE_OFFSET \
(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
YY_DO_BEFORE_ACTION; /* set up yytext again */ \
} \
while ( 0 )
YY_RESTORE_YY_MORE_OFFSET
#define YY_RESTORE_YY_MORE_OFFSET
Definition agent_lexer.cc:1579
YY_MORE_ADJ
#define YY_MORE_ADJ
Definition agent_lexer.cc:1578
YY_DO_BEFORE_ACTION
#define YY_DO_BEFORE_ACTION
Definition agent_lexer.cc:685

Definition at line 472 of file dhcp4_lexer.cc.

## ◆ yylex

#define yylex | ( |  | void | ) |

Value:
parser4_lex

Definition at line 27 of file dhcp4_lexer.cc.

## ◆ yylex_destroy

#define yylex_destroy | ( |  | void | ) |

Value:
parser4_lex_destroy

Definition at line 6916 of file dhcp4_lexer.cc.

## ◆ yylex_init

#define yylex_init parser4_lex_init

Definition at line 140 of file dhcp4_lexer.cc.

## ◆ yylex_init_extra

#define yylex_init_extra parser4_lex_init_extra

Definition at line 146 of file dhcp4_lexer.cc.

## ◆ yylineno

#define yylineno parser4_lineno

Definition at line 28 of file dhcp4_lexer.cc.

## ◆ yymore

#define yymore | ( |  | ) |

Value:
yymore_used_but_not_detected

Definition at line 2233 of file dhcp4_lexer.cc.

## ◆ yynoreturn

#define yynoreturn

Definition at line 388 of file dhcp4_lexer.cc.

## ◆ yyout

#define yyout parser4_out

Definition at line 29 of file dhcp4_lexer.cc.

## ◆ yypop_buffer_state

#define yypop_buffer_state | ( |  | void | ) |

Value:
parser4_pop_buffer_state

Removes and deletes the top of the stack, if present.

The next element becomes the new top.

Definition at line 6595 of file dhcp4_lexer.cc.

## ◆ yypush_buffer_state

#define yypush_buffer_state parser4_push_buffer_state

Definition at line 21 of file dhcp4_lexer.cc.

## ◆ yyrealloc

#define yyrealloc parser4_realloc

Definition at line 34 of file dhcp4_lexer.cc.

## ◆ yyrestart

#define yyrestart parser4_restart

Definition at line 30 of file dhcp4_lexer.cc.

## ◆ yyset_debug

#define yyset_debug parser4_set_debug

Definition at line 164 of file dhcp4_lexer.cc.

## ◆ yyset_extra

#define yyset_extra parser4_set_extra

Definition at line 176 of file dhcp4_lexer.cc.

## ◆ yyset_in

#define yyset_in parser4_set_in

Definition at line 188 of file dhcp4_lexer.cc.

## ◆ yyset_lineno

#define yyset_lineno parser4_set_lineno

Definition at line 224 of file dhcp4_lexer.cc.

## ◆ yyset_out

#define yyset_out parser4_set_out

Definition at line 200 of file dhcp4_lexer.cc.

## ◆ YYSTATE

#define YYSTATE YY_START

Definition at line 420 of file dhcp4_lexer.cc.

## ◆ YYTABLES_NAME

#define YYTABLES_NAME "yytables"

Definition at line 6990 of file dhcp4_lexer.cc.

## ◆ yyterminate

#define yyterminate | ( |  | ) |

Value:
return YY_NULL
YY_NULL
#define YY_NULL
Definition agent_lexer.cc:393

Definition at line 2486 of file dhcp4_lexer.cc.

## ◆ yytext

#define yytext parser4_text

Definition at line 31 of file dhcp4_lexer.cc.

## ◆ yytext_ptr

#define yytext_ptr yytext

Definition at line 669 of file dhcp4_lexer.cc.

## ◆ yywrap [1/2]

#define yywrap | ( |  | ) |

Value:
1

Definition at line 32 of file dhcp4_lexer.cc.

## ◆ yywrap [2/2]

#define yywrap parser4_wrap

Definition at line 32 of file dhcp4_lexer.cc.

Referenced by while().

## Typedef Documentation

## ◆ YY_BUFFER_STATE

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 446 of file dhcp4_lexer.cc.

## Function Documentation

## ◆ if() [1/2]

if | ( | ! | yy_init | ) |

Definition at line 2554 of file dhcp4_lexer.cc.

References YY_BUF_SIZE, yy_create_buffer, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_load_buffer_state, yyensure_buffer_stack, yyin, and yyout.

## ◆ if() [2/2]

if | ( | start_token_flag |  | ) |

Definition at line 2602 of file dhcp4_lexer.cc.

References isc::dhcp::Dhcp4Parser::make_SUB_CONFIG_CONTROL(), isc::dhcp::Dhcp4Parser::make_SUB_DHCP4(), isc::dhcp::Dhcp4Parser::make_SUB_DHCP_DDNS(), isc::dhcp::Dhcp4Parser::make_SUB_HOOKS_LIBRARY(), isc::dhcp::Dhcp4Parser::make_SUB_INTERFACES4(), isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DATA(), isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEF(), isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEFS(), isc::dhcp::Dhcp4Parser::make_SUB_POOL4(), isc::dhcp::Dhcp4Parser::make_SUB_RESERVATION(), isc::dhcp::Dhcp4Parser::make_SUB_SUBNET4(), isc::dhcp::Dhcp4Parser::make_TOPLEVEL_DHCP4(), isc::dhcp::Dhcp4Parser::make_TOPLEVEL_JSON(), isc::dhcp::Parser4Context::PARSER_CONFIG_CONTROL, isc::dhcp::Parser4Context::PARSER_DHCP4, isc::dhcp::Parser4Context::PARSER_DHCP_DDNS, isc::dhcp::Parser4Context::PARSER_HOOKS_LIBRARY, isc::dhcp::Parser4Context::PARSER_HOST_RESERVATION, isc::dhcp::Parser4Context::PARSER_INTERFACES, isc::dhcp::Parser4Context::PARSER_JSON, isc::dhcp::Parser4Context::PARSER_OPTION_DATA, isc::dhcp::Parser4Context::PARSER_OPTION_DEF, isc::dhcp::Parser4Context::PARSER_OPTION_DEFS, isc::dhcp::Parser4Context::PARSER_POOL4, isc::dhcp::Parser4Context::PARSER_SUBNET4, and isc::dhcp::Parser4Context::SUBPARSER_DHCP4.

Here is the call graph for this function:

## ◆ while()

while | ( | 1 |  | ) |

Definition at line 2638 of file dhcp4_lexer.cc.

References isc::dhcp::Parser4Context::AUTH_TYPE, isc::dhcp::Parser4Context::AUTHENTICATION, BEGIN, isc::dhcp::Parser4Context::CLIENT_CLASSES, isc::dhcp::Parser4Context::CLIENTS, COMMENT, isc::dhcp::Parser4Context::COMPATIBILITY, isc::dhcp::Parser4Context::CONFIG, isc::dhcp::Parser4Context::CONFIG_CONTROL, isc::dhcp::Parser4Context::CONFIG_DATABASE, isc::dhcp::Parser4Context::CONTROL_SOCKET, isc::dhcp::Parser4Context::CONTROL_SOCKET_TYPE, isc::dhcp::Parser4Context::DATABASE_ON_FAIL, isc::dhcp::Parser4Context::DDNS_CONFLICT_RESOLUTION_MODE, isc::dhcp::Parser4Context::DHCP4, isc::dhcp::Parser4Context::DHCP_DDNS, isc::dhcp::Parser4Context::DHCP_MULTI_THREADING, isc::dhcp::Parser4Context::DHCP_QUEUE_CONTROL, isc::dhcp::Parser4Context::DHCP_SOCKET_TYPE, DIR_ENTER, DIR_EXIT, DIR_INCLUDE, ECHO, EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, isc::dhcp::Parser4Context::EXPIRED_LEASES_PROCESSING, isc::dhcp::Parser4Context::HOOKS_LIBRARIES, isc::dhcp::Parser4Context::HOST_RESERVATION_IDENTIFIERS, isc::dhcp::Parser4Context::HOSTS_DATABASE, isc::dhcp::Parser4Context::HTTP_HEADERS, INITIAL, isc::dhcp::Parser4Context::INTERFACES_CONFIG, isc_throw, isc::dhcp::Parser4Context::LEASE_DATABASE, isc::dhcp::Parser4Context::LOGGERS, isc::dhcp::Dhcp4Parser::make_ALLOCATOR(), isc::dhcp::Dhcp4Parser::make_ALWAYS(), isc::dhcp::Dhcp4Parser::make_ALWAYS_SEND(), isc::dhcp::Dhcp4Parser::make_ARRAY(), isc::dhcp::Dhcp4Parser::make_AUTHENTICATION(), isc::dhcp::Dhcp4Parser::make_AUTHORITATIVE(), isc::dhcp::Dhcp4Parser::make_BASIC(), isc::dhcp::Dhcp4Parser::make_BOOLEAN(), isc::dhcp::Dhcp4Parser::make_BOOT_FILE_NAME(), isc::dhcp::Dhcp4Parser::make_CACHE_MAX_AGE(), isc::dhcp::Dhcp4Parser::make_CACHE_THRESHOLD(), isc::dhcp::Dhcp4Parser::make_CALCULATE_TEE_TIMES(), isc::dhcp::Dhcp4Parser::make_CAPACITY(), isc::dhcp::Dhcp4Parser::make_CERT_FILE(), isc::dhcp::Dhcp4Parser::make_CERT_REQUIRED(), isc::dhcp::Dhcp4Parser::make_CHECK_EXISTS_WITH_DHCID(), isc::dhcp::Dhcp4Parser::make_CHECK_WITH_DHCID(), isc::dhcp::Dhcp4Parser::make_CIPHER_LIST(), isc::dhcp::Dhcp4Parser::make_CIRCUIT_ID(), isc::dhcp::Dhcp4Parser::make_CLIENT_CLASS(), isc::dhcp::Dhcp4Parser::make_CLIENT_CLASSES(), isc::dhcp::Dhcp4Parser::make_CLIENT_ID(), isc::dhcp::Dhcp4Parser::make_CLIENTS(), isc::dhcp::Dhcp4Parser::make_CODE(), isc::dhcp::Dhcp4Parser::make_COLON(), isc::dhcp::Dhcp4Parser::make_COMMA(), isc::dhcp::Dhcp4Parser::make_COMMENT(), isc::dhcp::Dhcp4Parser::make_COMPATIBILITY(), isc::dhcp::Dhcp4Parser::make_CONFIG_CONTROL(), isc::dhcp::Dhcp4Parser::make_CONFIG_DATABASES(), isc::dhcp::Dhcp4Parser::make_CONFIG_FETCH_WAIT_TIME(), isc::dhcp::Dhcp4Parser::make_CONNECT_TIMEOUT(), isc::dhcp::Dhcp4Parser::make_CONTROL_SOCKET(), isc::dhcp::Dhcp4Parser::make_CONTROL_SOCKETS(), isc::dhcp::Dhcp4Parser::make_CSV_FORMAT(), isc::dhcp::Dhcp4Parser::make_DATA(), isc::dhcp::Dhcp4Parser::make_DDNS_CONFLICT_RESOLUTION_MODE(), isc::dhcp::Dhcp4Parser::make_DDNS_GENERATED_PREFIX(), isc::dhcp::Dhcp4Parser::make_DDNS_OVERRIDE_CLIENT_UPDATE(), isc::dhcp::Dhcp4Parser::make_DDNS_OVERRIDE_NO_UPDATE(), isc::dhcp::Dhcp4Parser::make_DDNS_QUALIFYING_SUFFIX(), isc::dhcp::Dhcp4Parser::make_DDNS_REPLACE_CLIENT_NAME(), isc::dhcp::Dhcp4Parser::make_DDNS_SEND_UPDATES(), isc::dhcp::Dhcp4Parser::make_DDNS_TTL(), isc::dhcp::Dhcp4Parser::make_DDNS_TTL_MAX(), isc::dhcp::Dhcp4Parser::make_DDNS_TTL_MIN(), isc::dhcp::Dhcp4Parser::make_DDNS_TTL_PERCENT(), isc::dhcp::Dhcp4Parser::make_DDNS_UPDATE_ON_RENEW(), isc::dhcp::Dhcp4Parser::make_DDNS_USE_CONFLICT_RESOLUTION(), isc::dhcp::Dhcp4Parser::make_DEBUGLEVEL(), isc::dhcp::Dhcp4Parser::make_DECLINE_PROBATION_PERIOD(), isc::dhcp::Dhcp4Parser::make_DHCP4(), isc::dhcp::Dhcp4Parser::make_DHCP4O6_PORT(), isc::dhcp::Dhcp4Parser::make_DHCP_DDNS(), isc::dhcp::Dhcp4Parser::make_DHCP_MULTI_THREADING(), isc::dhcp::Dhcp4Parser::make_DHCP_QUEUE_CONTROL(), isc::dhcp::Dhcp4Parser::make_DHCP_SOCKET_TYPE(), isc::dhcp::Dhcp4Parser::make_DIRECTORY(), isc::dhcp::Dhcp4Parser::make_DUID(), isc::dhcp::Dhcp4Parser::make_EARLY_GLOBAL_RESERVATIONS_LOOKUP(), isc::dhcp::Dhcp4Parser::make_ECHO_CLIENT_ID(), isc::dhcp::Dhcp4Parser::make_ENABLE_MULTI_THREADING(), isc::dhcp::Dhcp4Parser::make_ENABLE_QUEUE(), isc::dhcp::Dhcp4Parser::make_ENABLE_UPDATES(), isc::dhcp::Dhcp4Parser::make_ENCAPSULATE(), isc::dhcp::Dhcp4Parser::make_END(), isc::dhcp::Dhcp4Parser::make_EVALUATE_ADDITIONAL_CLASSES(), isc::dhcp::Dhcp4Parser::make_EXCLUDE_FIRST_LAST_24(), isc::dhcp::Dhcp4Parser::make_EXPIRED_LEASES_PROCESSING(), isc::dhcp::Dhcp4Parser::make_EXTENDED_INFO_CHECKS(), isc::dhcp::Dhcp4Parser::make_FLEX_ID(), isc::dhcp::Dhcp4Parser::make_FLOAT(), isc::dhcp::Dhcp4Parser::make_FLUSH(), isc::dhcp::Dhcp4Parser::make_FLUSH_RECLAIMED_TIMER_WAIT_TIME(), isc::dhcp::Dhcp4Parser::make_HOLD_RECLAIMED_TIME(), isc::dhcp::Dhcp4Parser::make_HOOKS_LIBRARIES(), isc::dhcp::Dhcp4Parser::make_HOST(), isc::dhcp::Dhcp4Parser::make_HOST_RESERVATION_IDENTIFIERS(), isc::dhcp::Dhcp4Parser::make_HOSTNAME(), isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_REPLACEMENT(), isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_SET(), isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASE(), isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASES(), isc::dhcp::Dhcp4Parser::make_HTTP(), isc::dhcp::Dhcp4Parser::make_HTTP_HEADERS(), isc::dhcp::Dhcp4Parser::make_HTTPS(), isc::dhcp::Dhcp4Parser::make_HW_ADDRESS(), isc::dhcp::Dhcp4Parser::make_ID(), isc::dhcp::Dhcp4Parser::make_IGNORE_DHCP_SERVER_ID(), isc::dhcp::Dhcp4Parser::make_IGNORE_RAI_LINK_SEL(), isc::dhcp::Dhcp4Parser::make_INTEGER(), isc::dhcp::Dhcp4Parser::make_INTERFACE(), isc::dhcp::Dhcp4Parser::make_INTERFACES(), isc::dhcp::Dhcp4Parser::make_INTERFACES_CONFIG(), isc::dhcp::Dhcp4Parser::make_IP_ADDRESS(), isc::dhcp::Dhcp4Parser::make_IP_ADDRESSES(), isc::dhcp::Dhcp4Parser::make_IP_RESERVATIONS_UNIQUE(), isc::dhcp::Dhcp4Parser::make_JSON(), isc::dhcp::Dhcp4Parser::make_KEY_FILE(), isc::dhcp::Dhcp4Parser::make_LCURLY_BRACKET(), isc::dhcp::Dhcp4Parser::make_LEASE_CHECKS(), isc::dhcp::Dhcp4Parser::make_LEASE_DATABASE(), isc::dhcp::Dhcp4Parser::make_LENIENT_OPTION_PARSING(), isc::dhcp::Dhcp4Parser::make_LFC_INTERVAL(), isc::dhcp::Dhcp4Parser::make_LIBRARY(), isc::dhcp::Dhcp4Parser::make_LOGGERS(), isc::dhcp::Dhcp4Parser::make_LSQUARE_BRACKET(), isc::dhcp::Dhcp4Parser::make_MATCH_CLIENT_ID(), isc::dhcp::Dhcp4Parser::make_MAX_QUEUE_SIZE(), isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_LEASES(), isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_TIME(), isc::dhcp::Dhcp4Parser::make_MAX_RECONNECT_TRIES(), isc::dhcp::Dhcp4Parser::make_MAX_ROW_ERRORS(), isc::dhcp::Dhcp4Parser::make_MAX_VALID_LIFETIME(), isc::dhcp::Dhcp4Parser::make_MAXSIZE(), isc::dhcp::Dhcp4Parser::make_MAXVER(), isc::dhcp::Dhcp4Parser::make_MIN_VALID_LIFETIME(), isc::dhcp::Dhcp4Parser::make_NAME(), isc::dhcp::Dhcp4Parser::make_NCR_FORMAT(), isc::dhcp::Dhcp4Parser::make_NCR_PROTOCOL(), isc::dhcp::Dhcp4Parser::make_NEVER(), isc::dhcp::Dhcp4Parser::make_NEVER_SEND(), isc::dhcp::Dhcp4Parser::make_NEXT_SERVER(), isc::dhcp::Dhcp4Parser::make_NO_CHECK_WITH_DHCID(), isc::dhcp::Dhcp4Parser::make_NO_CHECK_WITHOUT_DHCID(), isc::dhcp::Dhcp4Parser::make_NULL_TYPE(), isc::dhcp::Dhcp4Parser::make_OFFER_LFT(), isc::dhcp::Dhcp4Parser::make_ON_FAIL(), isc::dhcp::Dhcp4Parser::make_ONLY_IF_REQUIRED(), isc::dhcp::Dhcp4Parser::make_ONLY_IN_ADDITIONAL_LIST(), isc::dhcp::Dhcp4Parser::make_OPTION_DATA(), isc::dhcp::Dhcp4Parser::make_OPTION_DEF(), isc::dhcp::Dhcp4Parser::make_OUTBOUND_INTERFACE(), isc::dhcp::Dhcp4Parser::make_OUTPUT(), isc::dhcp::Dhcp4Parser::make_OUTPUT_OPTIONS(), isc::dhcp::Dhcp4Parser::make_PACKET_QUEUE_SIZE(), isc::dhcp::Dhcp4Parser::make_PARAMETERS(), isc::dhcp::Dhcp4Parser::make_PARKED_PACKET_LIMIT(), isc::dhcp::Dhcp4Parser::make_PASSWORD(), isc::dhcp::Dhcp4Parser::make_PASSWORD_FILE(), isc::dhcp::Dhcp4Parser::make_PATTERN(), isc::dhcp::Dhcp4Parser::make_PERSIST(), isc::dhcp::Dhcp4Parser::make_POOL(), isc::dhcp::Dhcp4Parser::make_POOL_ID(), isc::dhcp::Dhcp4Parser::make_POOLS(), isc::dhcp::Dhcp4Parser::make_PORT(), isc::dhcp::Dhcp4Parser::make_QUEUE_TYPE(), isc::dhcp::Dhcp4Parser::make_RAW(), isc::dhcp::Dhcp4Parser::make_RCURLY_BRACKET(), isc::dhcp::Dhcp4Parser::make_RE_DETECT(), isc::dhcp::Dhcp4Parser::make_READ_TIMEOUT(), isc::dhcp::Dhcp4Parser::make_READONLY(), isc::dhcp::Dhcp4Parser::make_REALM(), isc::dhcp::Dhcp4Parser::make_REBIND_TIMER(), isc::dhcp::Dhcp4Parser::make_RECLAIM_TIMER_WAIT_TIME(), isc::dhcp::Dhcp4Parser::make_RECONNECT_WAIT_TIME(), isc::dhcp::Dhcp4Parser::make_RECORD_TYPES(), isc::dhcp::Dhcp4Parser::make_RELAY(), isc::dhcp::Dhcp4Parser::make_RENEW_TIMER(), isc::dhcp::Dhcp4Parser::make_REQUIRE_CLIENT_CLASSES(), isc::dhcp::Dhcp4Parser::make_RESERVATIONS(), isc::dhcp::Dhcp4Parser::make_RESERVATIONS_GLOBAL(), isc::dhcp::Dhcp4Parser::make_RESERVATIONS_IN_SUBNET(), isc::dhcp::Dhcp4Parser::make_RESERVATIONS_LOOKUP_FIRST(), isc::dhcp::Dhcp4Parser::make_RESERVATIONS_OUT_OF_POOL(), isc::dhcp::Dhcp4Parser::make_RETRY_ON_STARTUP(), isc::dhcp::Dhcp4Parser::make_RSQUARE_BRACKET(), isc::dhcp::Dhcp4Parser::make_SAME_AS_INBOUND(), isc::dhcp::Dhcp4Parser::make_SANITY_CHECKS(), isc::dhcp::Dhcp4Parser::make_SENDER_IP(), isc::dhcp::Dhcp4Parser::make_SENDER_PORT(), isc::dhcp::Dhcp4Parser::make_SERVE_RETRY_CONTINUE(), isc::dhcp::Dhcp4Parser::make_SERVE_RETRY_EXIT(), isc::dhcp::Dhcp4Parser::make_SERVER_HOSTNAME(), isc::dhcp::Dhcp4Parser::make_SERVER_IP(), isc::dhcp::Dhcp4Parser::make_SERVER_PORT(), isc::dhcp::Dhcp4Parser::make_SERVER_TAG(), isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_MAX_RETRIES(), isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_REQUIRE_ALL(), isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_RETRY_WAIT_TIME(), isc::dhcp::Dhcp4Parser::make_SEVERITY(), isc::dhcp::Dhcp4Parser::make_SHARED_NETWORKS(), isc::dhcp::Dhcp4Parser::make_SOCKET_ADDRESS(), isc::dhcp::Dhcp4Parser::make_SOCKET_NAME(), isc::dhcp::Dhcp4Parser::make_SOCKET_PORT(), isc::dhcp::Dhcp4Parser::make_SOCKET_TYPE(), isc::dhcp::Dhcp4Parser::make_SPACE(), isc::dhcp::Dhcp4Parser::make_STASH_AGENT_OPTIONS(), isc::dhcp::Dhcp4Parser::make_STATISTIC_DEFAULT_SAMPLE_AGE(), isc::dhcp::Dhcp4Parser::make_STATISTIC_DEFAULT_SAMPLE_COUNT(), isc::dhcp::Dhcp4Parser::make_STOP_RETRY_EXIT(), isc::dhcp::Dhcp4Parser::make_STORE_EXTENDED_INFO(), isc::dhcp::Dhcp4Parser::make_STRING(), isc::dhcp::Dhcp4Parser::make_SUBNET(), isc::dhcp::Dhcp4Parser::make_SUBNET4(), isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE(), isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE_ID(), isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_SUBNET(), isc::dhcp::Dhcp4Parser::make_T1_PERCENT(), isc::dhcp::Dhcp4Parser::make_T2_PERCENT(), isc::dhcp::Dhcp4Parser::make_TCP(), isc::dhcp::Dhcp4Parser::make_TCP_USER_TIMEOUT(), isc::dhcp::Dhcp4Parser::make_TEMPLATE_TEST(), isc::dhcp::Dhcp4Parser::make_TEST(), isc::dhcp::Dhcp4Parser::make_THREAD_POOL_SIZE(), isc::dhcp::Dhcp4Parser::make_TRUST_ANCHOR(), isc::dhcp::Dhcp4Parser::make_TYPE(), isc::dhcp::Dhcp4Parser::make_UDP(), isc::dhcp::Dhcp4Parser::make_UNIX(), isc::dhcp::Dhcp4Parser::make_UNWARNED_RECLAIM_CYCLES(), isc::dhcp::Dhcp4Parser::make_USE_ROUTING(), isc::dhcp::Dhcp4Parser::make_USER(), isc::dhcp::Dhcp4Parser::make_USER_CONTEXT(), isc::dhcp::Dhcp4Parser::make_USER_FILE(), isc::dhcp::Dhcp4Parser::make_VALID_LIFETIME(), isc::dhcp::Dhcp4Parser::make_VALUE(), isc::dhcp::Dhcp4Parser::make_WHEN_NOT_PRESENT(), isc::dhcp::Dhcp4Parser::make_WHEN_PRESENT(), isc::dhcp::Dhcp4Parser::make_WRITE_TIMEOUT(), isc::dhcp::Parser4Context::NCR_FORMAT, isc::dhcp::Parser4Context::NCR_PROTOCOL, isc::dhcp::Parser4Context::OPTION_DATA, isc::dhcp::Parser4Context::OPTION_DEF, isc::dhcp::Parser4Context::OUTBOUND_INTERFACE, isc::dhcp::Parser4Context::OUTPUT_OPTIONS, isc::dhcp::Parser4Context::POOLS, isc::dhcp::Parser4Context::RELAY, isc::dhcp::Parser4Context::REPLACE_CLIENT_NAME, isc::dhcp::Parser4Context::RESERVATIONS, isc::dhcp::Parser4Context::SANITY_CHECKS, isc::dhcp::Parser4Context::SHARED_NETWORK, isc::dhcp::Parser4Context::SUBNET4, yy_act, yy_bp, YY_BREAK, YY_BUFFER_NEW, YY_BUFFER_NORMAL, yy_cp, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, YY_DO_BEFORE_ACTION, YY_END_OF_BUFFER, YY_FATAL_ERROR, yy_flex_debug, YY_MORE_ADJ, YY_NEW_FILE, YY_RESTORE_YY_MORE_OFFSET, YY_RULE_SETUP, YY_SC_TO_UI, YY_START, YY_STATE_EOF, yyin, yyleng, yytext, yytext_ptr, and yywrap.

Here is the call graph for this function:

## ◆ yy_create_buffer()

YY_BUFFER_STATE yy_create_buffer | ( | FILE * | file,
|  | int | size )

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

Definition at line 6426 of file dhcp4_lexer.cc.

References yy_buffer_state::yy_buf_size, yy_buffer_state::yy_ch_buf, YY_FATAL_ERROR, yy_init_buffer, yy_buffer_state::yy_is_our_buffer, and yyalloc.

## ◆ yy_delete_buffer()

void yy_delete_buffer | ( | YY_BUFFER_STATE | b | ) |

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

Definition at line 6461 of file dhcp4_lexer.cc.

References yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_buffer_state::yy_is_our_buffer, and yyfree.

## ◆ yy_flush_buffer()

void yy_flush_buffer | ( | YY_BUFFER_STATE | b | ) |

Discard all buffered characters.

On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

Definition at line 6525 of file dhcp4_lexer.cc.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_END_OF_BUFFER_CHAR, yy_load_buffer_state, and yy_buffer_state::yy_n_chars.

## ◆ yy_scan_buffer()

YY_BUFFER_STATE yy_scan_buffer | ( | char * | base,
|  | yy_size_t | size )

Setup the input buffer state to scan directly from a user-specified character buffer.

Parameters

  base | the character buffer
  size | the size in bytes of the character buffer

Returns
  the newly allocated buffer state object.

Definition at line 6674 of file dhcp4_lexer.cc.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, yy_buffer_state::yy_buf_size, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_fill_buffer, yy_buffer_state::yy_input_file, yy_buffer_state::yy_is_interactive, yy_buffer_state::yy_is_our_buffer, yy_buffer_state::yy_n_chars, yy_switch_to_buffer, and yyalloc.

## ◆ yy_scan_bytes()

YY_BUFFER_STATE yy_scan_bytes | ( | const char * | yybytes,
|  | int | _yybytes_len )

Setup the input buffer state to scan the given bytes.

The next call to yylex() will scan from a copy of bytes.

Parameters

  yybytes | the byte buffer to scan
  _yybytes_len | the number of bytes in the buffer pointed to by bytes.

Returns
  the newly allocated buffer state object.

Definition at line 6728 of file dhcp4_lexer.cc.

References YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_is_our_buffer, yy_scan_buffer, and yyalloc.

## ◆ yy_scan_string()

YY_BUFFER_STATE yy_scan_string | ( | const char * | yystr | ) |

Setup the input buffer state to scan a string.

The next call to yylex() will scan from a copy of str.

Parameters

  yystr | a NUL-terminated string to scan

Returns
  the newly allocated buffer state object.

Note
  If you want to scan bytes that may contain NUL values, then use yy_scan_bytes() instead.

Definition at line 6713 of file dhcp4_lexer.cc.

References yy_scan_bytes.

## ◆ yy_switch_to_buffer()

void yy_switch_to_buffer | ( | YY_BUFFER_STATE | new_buffer | ) |

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

Definition at line 6369 of file dhcp4_lexer.cc.

References YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_load_buffer_state, and yyensure_buffer_stack.

## ◆ yyalloc()

void * yyalloc | ( | yy_size_t | size | ) |

Definition at line 6965 of file dhcp4_lexer.cc.

## ◆ yyfree()

void yyfree | ( | void * | ptr | ) |

Definition at line 6983 of file dhcp4_lexer.cc.

## ◆ yypush_buffer_state()

void yypush_buffer_state | ( | YY_BUFFER_STATE | new_buffer | ) |

Pushes the new state onto the stack.

The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

Definition at line 6559 of file dhcp4_lexer.cc.

References YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_load_buffer_state, and yyensure_buffer_stack.

## ◆ yyrealloc()

void * yyrealloc | ( | void * | ptr,
|  | yy_size_t | size )

Definition at line 6970 of file dhcp4_lexer.cc.

## ◆ yyrestart()

void yyrestart | ( | FILE * | input_file | ) |

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

Definition at line 6345 of file dhcp4_lexer.cc.

References YY_BUF_SIZE, yy_create_buffer, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_init_buffer, yy_load_buffer_state, yyensure_buffer_stack, and yyin.

## ◆ yyset_debug()

void yyset_debug | ( | int | debug_flag | ) |

Definition at line 6872 of file dhcp4_lexer.cc.

References yy_flex_debug.

## ◆ yyset_extra()

void yyset_extra | ( | YY_EXTRA_TYPE | user_defined | ) |

References YY_EXTRA_TYPE.

## ◆ yyset_in()

void yyset_in | ( | FILE * | _in_str | ) |

Set the input stream.

This does not discard the current input buffer.

Parameters

  _in_str | A readable stream.

See also
  yy_switch_to_buffer

Definition at line 6857 of file dhcp4_lexer.cc.

References yyin.

## ◆ yyset_lineno()

void yyset_lineno | ( | int | _line_number | ) |

Set the current line number.

Parameters

  _line_number | line number

Definition at line 6845 of file dhcp4_lexer.cc.

References yylineno.

## ◆ yyset_out()

void yyset_out | ( | FILE * | _out_str | ) |

Definition at line 6862 of file dhcp4_lexer.cc.

References yyout.

## Variable Documentation

## ◆ yy_act

int yy_act

Definition at line 2552 of file dhcp4_lexer.cc.

## ◆ yy_bp

char * yy_bp

Definition at line 2551 of file dhcp4_lexer.cc.

## ◆ yy_cp

char* yy_cp

Definition at line 2551 of file dhcp4_lexer.cc.

## ◆ YY_DECL

YY_DECL

Initial value:
{
yy_state_type yy_current_state
yy_state_type
int yy_state_type
Definition agent_lexer.cc:660

The main scanner function which does all the work.

Definition at line 2548 of file dhcp4_lexer.cc.

## ◆ yy_flex_debug

int yy_flex_debug = 1

Definition at line 2196 of file dhcp4_lexer.cc.

## ◆ yyin

FILE* yyin = NULL

Definition at line 658 of file dhcp4_lexer.cc.

## ◆ yyleng

int yyleng

Definition at line 590 of file dhcp4_lexer.cc.

## ◆ yylineno

int yylineno = 1

Definition at line 663 of file dhcp4_lexer.cc.

## ◆ yyout

FILE * yyout = NULL

Definition at line 460 of file dhcp4_lexer.cc.

## ◆ yytext

char* yytext

Definition at line 2236 of file dhcp4_lexer.cc.